Next: Defining Types, Previous: Constants, Up: The "stabs" representation of debugging information [Contents][Index]

## 4 Variables ¶

Different types of stabs describe the various ways that variables can be allocated: on the stack, globally, in registers, in common blocks, statically, or as arguments to a function.

- Automatic Variables Allocated on the Stack
- Global Variables
- Register Variables
- Common Blocks
- Static Variables
- Fortran Based Variables
- Parameters